{% block action_table1 %}

<h3>Confirm the delivery of the {{ service }} service</h3>

<table 
    id="delivery_table" 
    class="table"
    data-pagination="true" 
    data-search="true" 
    data-id-field="id" 
    data-page-list="[10, 25, 50, 100, ALL]" 
    data-sort-name="ancillaryService"
    data-sort-order="asc"
    data-click-to-select="false" 
    data-single-select="false">
    <thead>
        <tr>
            <th class="th th-inner" data-sortable="true" data-field="id">ID</th>
             {% if request.session.actor.marketActorTypeid.type == "market operator" %}
                    <th class="th th-inner" data-sortable="true" data-field="participant" data-formatter="setMarketActorFormatter" data-visible="true">
                        Participant
                    </th>
            {% endif %}
            <th class="th th-inner" data-sortable="true" data-align="center" data-formatter="serviceFormatter" data-field="ancillaryService" >Service</th>
            <th class="th th-inner" data-sortable="true" data-align="center" data-formatter="typeFormatter"  data-field="actionType" >Type</th>
            <th class="th th-inner" data-sortable="true" data-align="center" data-formatter="europeanNumberFormatter" data-field="value" >Value
                {% if service == "reactive_power_compensation" %}  (kVA) {% else %}  (kW) {% endif %} </th>
            <th class="th th-inner" data-sortable="true" data-align="center" data-formatter="europeanNumberFormatter" data-field="price">Price
            {% if service == "reactive_power_compensation" %}  (&#8364;/kVA) {% else %}  (&#8364;/kW) {% endif %} </th>
            <th class="th th-inner" data-sortable="true" data-align="center" data-field="date">Date</th>
            <th class="th th-inner" data-sortable="true" data-align="center" data-field="actionStartTime">Start Time</th>
            <th class="th th-inner" data-sortable="true" data-align="center" data-field="actionEndTime">End Time</th>
            <th class="th th-inner" data-sortable="true" data-align="center" data-field="deliveryPoint">Delivery Point</th>
            <th class="th th-inner" data-sortable="true" data-align="center" data-formatter="statusFormatter" data-field="actionStatus">Status</th>
            <th class="th th-inner" data-sortable="true" data-align="center" data-formatter="deliveredFormatter" data-field="deliver">Delivered</th>
            <th class="th th-inner" data-sortable="true" data-align="center" data-formatter="notDeliveredFormatter" data-field="not_delivered">Undelivered</th>
        </tr>
    </thead>
</table>


{% endblock %}